[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListResolutions.Create

Constructor for the class instance.

## Declaration

Source position: imglist.pp line 238

`public constructor TCustomImageListResolutions.Create(`
`const AImageList: TCustomImageList;`
`const AResolutionClass: TCustomImageListResolutionClass`
`);`

## Arguments

`AImageList` |  | Image list that owns the container.
`AResolutionClass` |  | Class type used to create resolution class instances in the container.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor. Create allocates resources needed for the internal object list which stores the image resolutions in the container. Create sets the value for the ImageList property to AImageList. Create stores the class type in AResolutionClass to an internal member used in the container.